public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/serd/
Date: Wed, 30 Nov 2016 09:25:36 +0000 (UTC)	[thread overview]
Message-ID: <1480497932.b93565c642e03b59dcd9129694f201dfe70d0e13.aballier@gentoo> (raw)

commit:     b93565c642e03b59dcd9129694f201dfe70d0e13
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 30 09:07:46 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Nov 30 09:25:32 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b93565c6

dev-libs/serd: bump to 0.24.0

Package-Manager: portage-2.3.2

 dev-libs/serd/Manifest           |  1 +
 dev-libs/serd/serd-0.24.0.ebuild | 41 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-libs/serd/Manifest b/dev-libs/serd/Manifest
index 1b336e4..e600712 100644
--- a/dev-libs/serd/Manifest
+++ b/dev-libs/serd/Manifest
@@ -1,3 +1,4 @@
 DIST serd-0.18.2.tar.bz2 291053 SHA256 8e3d8402c33fa217572d3ee936919037420fb237fb8603a7b024ab482a94eac1 SHA512 2e775f50efbefa88d291999a26bf8e6602b5791affc9b9073451eb1406db654a63d2b91eb862ba7e714b5ce9ad51f7b7b259714476cd1532cf17fc072a923c3f WHIRLPOOL 85d8599a3c4f1c26d438b741b70f75b0c3b7265a973b93bafa45f59f3a669b664d979ff49f9894f36c76d1c1826818222a089051b7202a71b85f30d2cba80980
 DIST serd-0.20.0.tar.bz2 363807 SHA256 64515f4f5eb27ba2ba151027a72a77672f6ee8a2a3b58991ad5c045135feabbf SHA512 d313abb6423b0b1dd30b5c4f7ede45a5e51b3c8676b49215e106a75d73280e07c48b3895f2d88aeac2117eaf9c82cdb58bfc530895ad17a34d810c256868d1ef WHIRLPOOL 0cb4e6b9c870cc2bf5a34eb5c25a4a5fbcc90737ac646688338b9529baa774da29cd9f8659cdcc8f13e714949ea0ed840af28ed81a869465f8902b3e24cbeb27
 DIST serd-0.22.0.tar.bz2 340371 SHA256 7b030287b4b75f35e6212b145648bec0be6580cc5434caa6d2fe64a38562afd2 SHA512 532f9bcf1edafb4fb74c521c11e3582133096068c883ecdfb97483c1344de6c2effc7cef8efa0c5d919667d5ef51e3f62af0a02faf0d518216e0746933a859d3 WHIRLPOOL 11e3757a322b578ee648e53774d0390de4b295f5f8c187a8f7dc6bc59249845d890548324107b7c9dbf03ab851a61e9e71f5997e1fdefafeaf5610350292d58f
+DIST serd-0.24.0.tar.bz2 346615 SHA256 8cfb8ade8d9a6f784da6e00ac05a28b7de440df5d2513796cd34aaa2754f6a6c SHA512 c62e869c584340ea5ea9f2f52a279281f792770ae4ccdde5a5355b23f428e5f8a32e29c3bd521d2a846d62e17b691758764dbd814b9b67203e264be2fe5a81ed WHIRLPOOL 7e1c171726c814b1546c95521de49295ea468fdc31534f556eada6edd9596d83b147d18b9eb1cfa07e42f508982a93962ecfd5bbd140abdc1bfe6cf0cfb7da42

diff --git a/dev-libs/serd/serd-0.24.0.ebuild b/dev-libs/serd/serd-0.24.0.ebuild
new file mode 100644
index 00000000..0153258
--- /dev/null
+++ b/dev-libs/serd/serd-0.24.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+PYTHON_COMPAT=( python{2_7,3_4} )
+PYTHON_REQ_USE='threads(+)'
+inherit python-any-r1 waf-utils
+
+DESCRIPTION="Library for RDF syntax which supports reading and writing Turtle and NTriples"
+HOMEPAGE="http://drobilla.net/software/serd/"
+SRC_URI="http://download.drobilla.net/${P}.tar.bz2"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc static-libs test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+	${PYTHON_DEPS}
+	doc? ( app-doc/doxygen )"
+
+DOCS=( "AUTHORS" "NEWS" "README" )
+
+src_prepare() {
+	sed -i -e 's/^.*run_ldconfig/#\0/' wscript || die
+}
+
+src_configure() {
+	waf-utils_src_configure \
+		--docdir=/usr/share/doc/${PF} \
+		$(use test && echo "--test") \
+		$(use doc && echo "--docs") \
+		$(use static-libs && echo "--static")
+}
+
+src_test() {
+	./waf test || die
+}


             reply	other threads:[~2016-11-30  9:25 UTC|newest]

Thread overview: 119+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-30  9:25 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-04 10:34 [gentoo-commits] repo/gentoo:master commit in: dev-libs/serd/ Miroslav Šulc
2024-03-03 19:03 Michał Górny
2024-03-02 20:41 Sam James
2024-03-02 14:13 Arthur Zamarin
2024-02-24 10:07 Sam James
2024-02-24  7:08 Sam James
2024-02-23 17:42 Sam James
2024-02-23 17:33 Sam James
2024-01-24  9:33 Miroslav Šulc
2024-01-24  9:33 Miroslav Šulc
2024-01-03 18:39 Arthur Zamarin
2024-01-03  6:58 Sam James
2024-01-03  6:58 Sam James
2024-01-03  6:58 Sam James
2024-01-03  6:22 Sam James
2024-01-03  6:22 Sam James
2024-01-03  6:22 Sam James
2023-10-24 18:26 Miroslav Šulc
2023-05-04 11:21 Sam James
2023-03-03  6:28 Viorel Munteanu
2023-01-05  2:22 Sebastian Pipping
2022-11-04  7:18 Miroslav Šulc
2022-11-03  8:08 Agostino Sarubbo
2022-11-02 20:07 Sam James
2022-11-02 10:57 Arthur Zamarin
2022-11-02  8:44 Arthur Zamarin
2022-11-02  8:44 Arthur Zamarin
2022-11-02  8:30 Arthur Zamarin
2022-11-02  7:52 Arthur Zamarin
2022-10-19 10:07 WANG Xuerui
2022-10-02  8:15 Miroslav Šulc
2022-10-02  7:01 Miroslav Šulc
2022-10-02  6:48 Miroslav Šulc
2022-10-02  6:45 Miroslav Šulc
2022-09-28  4:40 Miroslav Šulc
2022-09-27  7:18 Arthur Zamarin
2022-09-27  7:07 Agostino Sarubbo
2022-09-27  6:07 Jakov Smolić
2022-09-27  6:07 Jakov Smolić
2022-09-27  6:05 Jakov Smolić
2022-09-27  6:05 Jakov Smolić
2022-09-27  6:02 Jakov Smolić
2022-08-27 11:17 Sam James
2022-08-27 11:17 Sam James
2022-07-30 11:32 Miroslav Šulc
2022-07-20 19:13 Miroslav Šulc
2022-06-29 18:15 Miroslav Šulc
2022-06-29 10:05 Agostino Sarubbo
2022-06-29  7:56 Agostino Sarubbo
2022-06-29  7:55 Agostino Sarubbo
2022-06-29  7:54 Agostino Sarubbo
2022-06-29  7:54 Agostino Sarubbo
2022-06-29  7:53 Agostino Sarubbo
2022-06-29  7:52 Agostino Sarubbo
2022-05-29  6:46 Miroslav Šulc
2021-12-21  9:31 Miroslav Šulc
2021-12-18 11:58 Miroslav Šulc
2021-08-24 21:02 Marek Szuba
2021-02-27  9:40 Miroslav Šulc
2021-02-26 13:53 Sam James
2021-02-26  9:39 Agostino Sarubbo
2021-02-26  8:09 Agostino Sarubbo
2021-02-25 18:58 Sam James
2021-02-25 18:34 Sergei Trofimovich
2021-02-25 17:52 Sam James
2021-02-25 13:21 Sam James
2021-01-25  9:43 Miroslav Šulc
2021-01-08 12:23 Miroslav Šulc
2020-11-13  8:46 Miroslav Šulc
2020-11-12 21:03 Thomas Deutschmann
2020-11-04  8:16 Sergei Trofimovich
2020-11-04  7:59 Sergei Trofimovich
2020-11-04  0:56 Sam James
2020-11-03 18:50 Sergei Trofimovich
2020-11-03 11:54 Sam James
2020-11-02 10:27 Sam James
2020-10-09 12:05 Miroslav Šulc
2020-10-06 13:50 Sam James
2020-10-02  8:45 Miroslav Šulc
2020-10-02  8:35 Miroslav Šulc
2020-10-01 23:06 Sergei Trofimovich
2020-10-01 22:55 Sergei Trofimovich
2020-09-30  2:15 Sam James
2020-06-18  7:55 Lars Wendler
2020-06-10  6:58 Miroslav Šulc
2020-06-09 19:46 Mart Raudsepp
2020-04-10  9:48 Sergei Trofimovich
2020-01-27 11:34 Mikle Kolyada
2020-01-23 12:18 Agostino Sarubbo
2020-01-23 10:59 Agostino Sarubbo
2020-01-23 10:56 Agostino Sarubbo
2020-01-23 10:40 Agostino Sarubbo
2020-01-23 10:36 Agostino Sarubbo
2019-12-19 17:34 Miroslav Šulc
2019-09-14  5:03 Matt Turner
2019-06-18 18:17 Sergei Trofimovich
2019-06-06  6:46 Agostino Sarubbo
2019-05-26 11:10 Mikle Kolyada
2019-05-24 22:51 Sergei Trofimovich
2019-05-24 22:08 Sergei Trofimovich
2019-05-24 20:18 Sergei Trofimovich
2019-05-21 21:50 Aaron Bauman
2019-02-18 15:23 Alexis Ballier
2018-12-23  3:25 Matt Turner
2018-11-24 12:33 Sergei Trofimovich
2018-07-22  1:55 Mikle Kolyada
2018-05-20 11:31 Johannes Huber
2018-05-20 11:31 Johannes Huber
2018-05-05 12:52 Sergei Trofimovich
2018-05-01 11:47 Jeroen Roovers
2017-12-21  9:30 Matt Thode
2017-07-24  5:34 Alexis Ballier
2017-07-24  5:34 Alexis Ballier
2017-04-27 10:36 Agostino Sarubbo
2017-04-26  7:40 Agostino Sarubbo
2017-04-24  9:31 Pacho Ramos
2017-01-13  7:56 Alexis Ballier
2015-10-13  8:51 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1480497932.b93565c642e03b59dcd9129694f201dfe70d0e13.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox